I found the next solution
with Set objDoc = objDocs.Item(N) the Nth open window (document) can be selected
and with objDoc.Activate it can be activated
I have found the solution, maybe it will be useful for someone
Instead of Set objDoc = objApp.ActiveDocument the part between Else adn End If looks like this
Else
Set objDoc = objDocs.Item(1)
objDoc.Activate
End If
'remark> Item(1) since after closing the part file only the assembly file...
Hi everyone!
How can I change the activeDocument from Part to Assembly and back in an API written in Visual Basic 6?
Indeed my problem is I open a Part modify it and close it with
objDocP.Close
then open the assembly on the way
'Connect to a running instance of Solid Edge.
Set objApp =...